//---------------------------------------------------------------------------
#ifndef MixProbWins2H
#define MixProbWins2H
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include "explbtn.hpp"
#include <vcl\ComCtrls.hpp>
#include <vcl\Menus.hpp>
#include "MixKeyWins2.h"
//---------------------------------------------------------------------------
void __fastcall OpenMixProblems(AnsiString &filename);

class TMixProbWin2 : public TMixKeyWin2
{
__published:	// IDE-managed Components
	TOfficeButton *TransferBtn;
	TPopupMenu *PopupMenu3;
	TMenuItem *TransferKeyItem;
	TMenuItem *TransferKeysItem;
	void __fastcall FormResize(TObject *Sender);
	void __fastcall TransferKeysItemClick(TObject *Sender);
	void __fastcall TransferKeyItemClick(TObject *Sender);
	void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall HelpBtnClick(TObject *Sender);
	void __fastcall ClearAllBtnClick(TObject *Sender);
	void __fastcall PopupMenu3Popup(TObject *Sender);
	void __fastcall OkBtnClick(TObject *Sender);
	
	void __fastcall FormShow(TObject *Sender);
private:	// User declarations
public:		// User declarations
    bool okclicked,dominimize;
    virtual __fastcall TMixProbWin2(TComponent* Owner);
    virtual __fastcall TMixProbWin2(TComponent* Owner, bool Minimized);
    virtual __fastcall TMixProbWin2(TComponent* Owner, TMixKeyList2 *Imports);
    virtual __fastcall~TMixProbWin2();
    void __fastcall DeleteKey(int atPos);
    void __fastcall SaveKeys();
    void __fastcall LoadKeys();
};
//---------------------------------------------------------------------------
extern TMixProbWin2 *MixProbWin2;
//---------------------------------------------------------------------------
#endif
